/* 
   $Id: atoms.h,v 1.4 2001/12/25 05:15:34 sho Exp $

   Copyright (C) 2001,2002 AXE,Inc. <sg@axe-inc.co.jp>

   This file is part of sgwm.

   sgwm is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   sgwm is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with sgwm; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */

#ifndef __ATOMS_H
#define __ATOMS_H

#include <X11/X.h>
#include <X11/Xatom.h>

#define SG_XA_WIN_SUPPORTING_WM_CHECK "_WIN_SUPPORTING_WM_CHECK"
#define SG_XA_SG_WM "_AXE_SG_WM"

extern Atom xa_sg_wm;
extern Atom xa_sgws_swap;
extern Atom xa_sgws_enable;
extern Atom xa_sgws_activate;
extern Atom xa_sgws_resize;
extern Atom xa_sgws_mapws;
extern Atom xa_sgws_calldt;
extern Atom xa_sgws_map;
extern Atom xa_sgws_roll_up;
extern Atom xa_sgws_roll_down;
extern Atom xa_sgws_move_next;
extern Atom xa_sgws_move_prev;
extern Atom xa_sg_menubar;
extern Atom xa_sg_toolbar;
extern Atom xa_sg_imbar;
extern Atom xa_sg_barwindow;
extern Atom xa_sg_panel;
extern Atom xa_sg_nunome;
extern Atom xa_sg_desktop;
extern Atom xa_nunome_popup;
extern Atom xa_nunome;
extern Atom xa_win_supporting_wm_check;
extern Atom xa_win_protocols;
extern Atom xa_win_layer;
extern Atom xa_win_state;
extern Atom xa_win_app_state;
extern Atom xa_win_expanded_size;
extern Atom xa_win_icons;
extern Atom xa_win_workspace;
extern Atom xa_win_workspace_count;
extern Atom xa_win_workspace_names;
extern Atom xa_win_client_list;
extern Atom xa_win_hints;
extern Atom xa_wm_change_state;
extern Atom xa_wm_state;
extern Atom xa_wm_colormap_windows;
extern Atom xa_wm_protocols;
extern Atom xa_wm_take_focus;
extern Atom xa_wm_save_yourself;
extern Atom xa_wm_delete_window;
extern Atom xa_sm_client_id;
extern Atom xa_wm_client_leader;
extern Atom xa_wm_window_role;
extern Atom xa_version;
extern Atom xa_manager;
extern Atom xa_wm_s;
extern Atom xa_gtk_rcfiles;

extern void intern_atoms();

#define WIN_STATE_STICKY (1<<0)
#define WIN_STATE_MINIMIZED (1<<1)
#define WIN_STATE_MAXIMIZED_VERT (1<<2)
#define WIN_STATE_MAXIMIZED_HORIZ (1<<3)
#define WIN_STATE_HIDDEN (1<<4)
#define WIN_STATE_SHADED (1<<5)
#define WIN_STATE_HID_WORKSPACE (1<<6)
#define WIN_STATE_HID_TRANSIENT (1<<7)
#define WIN_STATE_FIXED_POSITION (1<<8)
#define WIN_STATE_ARRANGE_IGNORE (1<<9)

#endif
